light-mode-image
Learn
API ReferenceInboxes

Retrieve a message

Roles

adminissuermanaged-issuer

Analytics Events

MESSAGING_INBOX_MESSAGE_RETRIEVE_STARTMESSAGING_INBOX_MESSAGE_RETRIEVE_SUCCESSMESSAGING_INBOX_MESSAGE_RETRIEVE_FAIL
GET/v1/messaging/inboxes/{id}/messages/{messageId}

Retrieves a message from the requested inbox by providing its ID.

Analytic events

  • MESSAGING_INBOX_MESSAGE_RETRIEVE_START
  • MESSAGING_INBOX_MESSAGE_RETRIEVE_SUCCESS
  • MESSAGING_INBOX_MESSAGE_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Requested inbox ID

messageId*string

Requested message ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/messaging/inboxes/string/messages/string"
{  "name": "string",  "createdAt": "2019-08-24",  "id": "string",  "inboxId": "string",  "payload": "string"}

How would you rate this page?